Status: Closed   
Assignee: Shlomi Zadok   

Category: Plugins   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/243

  

Description

Smart proxy does not load (/find) the files under settings.d

W, [2014-12-30T08:32:47.925590 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/foreman_proxy.yml. Using default settings.

W, [2014-12-30T08:32:47.925947 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.926326 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.926664 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.927454 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.927781 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.928135 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.928473 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

W, [2014-12-30T08:32:47.928783 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/.yml. Using default settings.

I, [2014-12-30T08:32:47.928947 #7768]  INFO -- : 'foreman_proxy' settings were initialized with de

fault values: :enabled: true

W, [2014-12-30T08:32:47.931133 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/facts.yml. Using default settings.

I, [2014-12-30T08:32:47.931199 #7768]  INFO -- : 'facts' module is disabled.

I, [2014-12-30T08:32:47.933362 #7768]  INFO -- : 'templates' module is disabled.

I, [2014-12-30T08:32:47.935922 #7768]  INFO -- : 'dhcp' settings were initialized with default val

ues: :dhcp_provider: isc

W, [2014-12-30T08:32:47.938095 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/puppetca.yml. Using default settings.

I, [2014-12-30T08:32:47.938191 #7768]  INFO -- : 'puppetca' module is disabled.

W, [2014-12-30T08:32:47.938252 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/puppet.yml. Using default settings.

I, [2014-12-30T08:32:47.938316 #7768]  INFO -- : 'puppet' module is disabled.

I, [2014-12-30T08:32:47.938364 #7768]  INFO -- : 'bmc' module is disabled.

W, [2014-12-30T08:32:47.938405 #7768]  WARN -- : Couldn't find settings file /home/szadok/dev/repo

s/smart-proxy/config/settings.d/realm.yml. Using default settings.

I, [2014-12-30T08:32:47.938451 #7768]  INFO -- : 'realm' module is disabled.

Related issues:

Has duplicate Foreman - Bug #8806: systest_foreman failing Duplicate 12/29/2014

Associated revisions

Revision e2ce2a05 - 12/30/2014 07:57 AM - Shlomi Zadok

05/18/2024 1/2



fixes #8811 - refactor per-module enabling of http(s) to http(s)_rackup

History

#1 - 12/30/2014 01:58 AM - Shlomi Zadok

The main issue is that I have a dhcp.yml with the following config:

---

# Can be true, false, or http/https to enable just one of the protocols

:enabled: true

# valid vendors:

#   - isc

#   - native_ms (Microsoft native implementation)

#   - virsh (simple implementation for libvirt)

:dhcp_vendor: virsh

Yet smart proxy loads with its default config:

'dhcp' settings were initialized with default values: :dhcp_provider: isc

#2 - 12/30/2014 05:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/243 added

- Pull request deleted ()

#3 - 12/30/2014 08:03 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2ce2a054ebfed11c294aa59e3bb3b4c1d0dd0c0.

#4 - 12/30/2014 09:33 AM - Anonymous

- Has duplicate Bug #8806: systest_foreman failing added

#5 - 01/02/2015 03:22 AM - Dominic Cleal

- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 28
